CREATE TABLE asm_ip_execution_items (
    IP_EXECUTION_ITEM_ID     NUMBER(18, 0),
    EXECUTION_STATUS         VARCHAR2(320),
    DUE_DATE                 DATE         ,
    IMPL_PROJECT_ID          NUMBER(18, 0),
    TASK_LIST_ID             NUMBER(18, 0),
    TASK_LIST_ITEM_ID        NUMBER(18, 0),
    IP_SCOPE_VALUE_SET_ID    NUMBER(18, 0),
    EXECUTION_STATUS_ID      NUMBER(18, 0)    NOT NULL,
    DISPLAY_FLAG             VARCHAR2(4)  ,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    MIGRATE_FLAG             VARCHAR2(4)  ,
    IP_EXECUTION_ITEM_ID     NUMBER(18, 0),
    EXECUTION_STATUS         VARCHAR2(320),
    DUE_DATE                 DATE         ,
    IMPL_PROJECT_ID          NUMBER(18, 0),
    TASK_LIST_ID             NUMBER(18, 0),
    TASK_LIST_ITEM_ID        NUMBER(18, 0),
    IP_SCOPE_VALUE_SET_ID    NUMBER(18, 0),
    EXECUTION_STATUS_ID      NUMBER(18, 0)    NOT NULL,
    DISPLAY_FLAG             VARCHAR2(4)  ,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    MIGRATE_FLAG             VARCHAR2(4)  ,
    CONSTRAINT pk_asm_ip_execution_items PRIMARY KEY (IP_EXECUTION_ITEM_ID, IP_EXECUTION_ITEM_ID)
);
